Name="MetaMap"


[General]
// This is how often the map gets updated 1=1 time a turn

TurnFrequency		= 3 //This is set to 1 to cause the player to create a turn break by moving.
CauseTurnBreakOnMove 	= 0 // This setting must be 0 on server side!

 
[Movement]

Radius=1								// This is the number of hexes the AI looks at to determine where to move.

MovementDelayInMilliseconds=4000		// This is how long it take to move 1 space on the map in milliseconds


[PoliticalTensionInc]
// This is the numbered added every time a battle is fought
// Some races like the Federation are slower to anger
Federation=5
Klingon=20
Romulan=10
Lyran=15
Hydran=10
Gorn=15
ISC=25
Mirak=20
Orion=20
OrionOrion=20
OrionKorgath=20
OrionPrime=20
OrionTigerHeart=20
OrionBeastRaiders=20
OrionSyndicate=20
OrionWyldeFire=20
OrionCamboro=20

//This is the number subtracted when political tension is asked to be decreased.
//The federation is more likley to forgive than other races
[PoliticalTensionDec]
Federation=0				// (75) Currently under test
Klingon=0					// (15) Currently under test
Romulan=0					// (30) Currently under test
Lyran=0						// (30) Currently under test
Hydran=0					// (45) Currently under test
Gorn=0						// (30) Currently under test
ISC=0						// (10) Currently under test
Mirak=0						// (21) Currently under test
Orion=0
OrionOrion=0
OrionKorgath=0
OrionPrime=0
OrionTigerHeart=0
OrionBeastRaiders=0
OrionSyndicate=0
OrionWyldeFire=0
OrionCamboro=0

[PoliticalTension/StartingTensions/Federation]
Federation=0
Klingon=0
Romulan=0
Lyran=1000
Hydran=1000
Gorn=1000
ISC=1000
Mirak=0
Orion=400
OrionOrion=0
OrionKorgath=1000
OrionPrime=0
OrionTigerHeart=1000
OrionBeastRaiders=1000
OrionSyndicate=0
OrionWyldeFire=0
OrionCamboro=1000
Monster=650

[PoliticalTension/StartingTensions/Klingon]
Federation=0
Klingon=0
Romulan=0
Lyran=1000
Hydran=1000
Gorn=1000
ISC=1000
Mirak=0
Orion=400
OrionOrion=0
OrionKorgath=1000
OrionPrime=0
OrionTigerHeart=1000
OrionBeastRaiders=1000
OrionSyndicate=0
OrionWyldeFire=0
OrionCamboro=1000
Monster=650

[PoliticalTension/StartingTensions/Romulan]
Federation=0
Klingon=0
Romulan=0
Lyran=1000
Hydran=1000
Gorn=1000
ISC=1000
Mirak=0
Orion=400
OrionOrion=0
OrionKorgath=1000
OrionPrime=0
OrionTigerHeart=1000
OrionBeastRaiders=1000
OrionSyndicate=0
OrionWyldeFire=0
OrionCamboro=1000
Monster=650

[PoliticalTension/StartingTensions/Lyran]
Federation=1000
Klingon=1000
Romulan=1000
Lyran=0
Hydran=0
Gorn=0
ISC=0
Mirak=1000
Orion=400
OrionOrion=1000
OrionKorgath=0
OrionPrime=1000
OrionTigerHeart=0
OrionBeastRaiders=0
OrionSyndicate=1000
OrionWyldeFire=1000
OrionCamboro=0
Monster=650

[PoliticalTension/StartingTensions/Hydran]
Federation=1000
Klingon=1000
Romulan=1000
Lyran=0
Hydran=0
Gorn=0
ISC=0
Mirak=1000
Orion=400
OrionOrion=1000
OrionKorgath=0
OrionPrime=1000
OrionTigerHeart=0
OrionBeastRaiders=0
OrionSyndicate=1000
OrionWyldeFire=1000
OrionCamboro=0
Monster=650

[PoliticalTension/StartingTensions/Gorn]
Federation=1000
Klingon=1000
Romulan=1000
Lyran=0
Hydran=0
Gorn=0
ISC=0
Mirak=1000
Orion=400
OrionOrion=1000
OrionKorgath=0
OrionPrime=1000
OrionTigerHeart=0
OrionBeastRaiders=0
OrionSyndicate=1000
OrionWyldeFire=1000
OrionCamboro=0
Monster=650

[PoliticalTension/StartingTensions/ISC]
Federation=1000
Klingon=1000
Romulan=1000
Lyran=0
Hydran=0
Gorn=0
ISC=0
Mirak=1000
Orion=400
OrionOrion=1000
OrionKorgath=0
OrionPrime=1000
OrionTigerHeart=0
OrionBeastRaiders=0
OrionSyndicate=1000
OrionWyldeFire=1000
OrionCamboro=0
Monster=650

[PoliticalTension/StartingTensions/Mirak]
Federation=0
Klingon=0
Romulan=0
Lyran=1000
Hydran=1000
Gorn=1000
ISC=1000
Mirak=0
Orion=400
OrionOrion=0
OrionKorgath=1000
OrionPrime=0
OrionTigerHeart=1000
OrionBeastRaiders=1000
OrionSyndicate=0
OrionWyldeFire=0
OrionCamboro=1000
Monster=650

[PoliticalTension/StartingTensions/Orion]
Federation=600
Klingon=600
Romulan=600
Lyran=600
Hydran=600
Gorn=600
ISC=600
Mirak=600
Orion=0
OrionOrion=600
OrionKorgath=600
OrionPrime=600
OrionTigerHeart=600
OrionBeastRaiders=600
OrionSyndicate=600
OrionWyldeFire=600
OrionCamboro=600
Monster=650

[PoliticalTension/StartingTensions/OrionOrion]
Federation=0
Klingon=0
Romulan=0
Lyran=1000
Hydran=1000
Gorn=1000
ISC=1000
Mirak=0
Orion=400
OrionOrion=0
OrionKorgath=1000
OrionPrime=0
OrionTigerHeart=1000
OrionBeastRaiders=1000
OrionSyndicate=0
OrionWyldeFire=0
OrionCamboro=1000
Monster=200

[PoliticalTension/StartingTensions/OrionKorgath]
Federation=1000
Klingon=1000
Romulan=1000
Lyran=0
Hydran=0
Gorn=0
ISC=0
Mirak=1000
OrionOrion=1000
OrionKorgath=0
OrionPrime=1000
OrionTigerHeart=0
OrionBeastRaiders=0
OrionSyndicate=1000
OrionWyldeFire=1000
OrionCamboro=0
Orion=400
Monster=650

[PoliticalTension/StartingTensions/OrionPrime]
Federation=0
Klingon=0
Romulan=0
Lyran=1000
Hydran=1000
Gorn=1000
ISC=1000
Mirak=0
Orion=400
OrionOrion=0
OrionKorgath=1000
OrionPrime=0
OrionTigerHeart=1000
OrionBeastRaiders=1000
OrionSyndicate=0
OrionWyldeFire=0
OrionCamboro=1000
Monster=650

[PoliticalTension/StartingTensions/OrionTigerHeart]
Federation=1000
Klingon=1000
Romulan=1000
Lyran=0
Hydran=0
Gorn=0
ISC=0
Mirak=1000
Orion=400
OrionOrion=1000
OrionKorgath=0
OrionPrime=1000
OrionTigerHeart=0
OrionBeastRaiders=0
OrionSyndicate=1000
OrionWyldeFire=1000
OrionCamboro=0
Monster=650

[PoliticalTension/StartingTensions/OrionBeastRaiders]
Federation=1000
Klingon=1000
Romulan=1000
Lyran=0
Hydran=0
Gorn=0
ISC=0
Mirak=1000
OrionOrion=1000
OrionKorgath=0
OrionPrime=1000
OrionTigerHeart=0
OrionBeastRaiders=0
OrionSyndicate=1000
OrionWyldeFire=1000
OrionCamboro=0
Orion=200
Monster=650

[PoliticalTension/StartingTensions/OrionSyndicate]
Federation=0
Klingon=0
Romulan=0
Lyran=1000
Hydran=1000
Gorn=1000
ISC=1000
Mirak=0
Orion=400
OrionOrion=0
OrionKorgath=1000
OrionPrime=0
OrionTigerHeart=1000
OrionBeastRaiders=1000
OrionSyndicate=0
OrionWyldeFire=0
OrionCamboro=1000
Monster=650

[PoliticalTension/StartingTensions/OrionWyldeFire]
Federation=0
Klingon=0
Romulan=0
Lyran=1000
Hydran=1000
Gorn=1000
ISC=1000
Mirak=0
Orion=400
OrionOrion=0
OrionKorgath=1000
OrionPrime=0
OrionTigerHeart=1000
OrionBeastRaiders=1000
OrionSyndicate=0
OrionWyldeFire=0
OrionCamboro=1000
Monster=650

[PoliticalTension/StartingTensions/OrionCamboro]
Federation=1000
Klingon=1000
Romulan=1000
Lyran=0
Hydran=0
Gorn=0
ISC=0
Mirak=1000
Orion=400
OrionOrion=1000
OrionKorgath=0
OrionPrime=1000
OrionTigerHeart=0
OrionBeastRaiders=0
OrionSyndicate=1000
OrionWyldeFire=1000
OrionCamboro=0
Monster=650

[PoliticalTension/StartingTensions/Monster]
Federation=1000
Klingon=1000
Romulan=1000
Lyran=1000
Hydran=1000
Gorn=1000
ISC=1000
Mirak=1000
Orion=1000
OrionOrion=1000
OrionKorgath=1000
OrionPrime=1000
OrionTigerHeart=1000
OrionBeastRaiders=1000
OrionSyndicate=1000
OrionWyldeFire=1000
OrionCamboro=1000
Monster=0


[Politics]

NumCycleUpTensions=10 // This will add up the increase in tension level every x number of turns


AllyRatio			=0.25 	//This number determines what percentage of races are allies. Calculated vs most hated enemy

NeutralRatio		=0.5 		//This number determines what percentage of races are nuetral. Calculated vs most hated enemy

DistanceWeight		=1.0

TensionWeight		=1.5

LowNewsRangeUpTo		=0.25

HighNewsRangeNotBelow	=0.5


 // This section handles the creation of AI ships
[Census]

TargetPopulationToEconomicRatio		=0.0025 // (0.0025) This is the ratio of AI ships to current economy of an empire

OrionPopulationRatio				=0.1 // (0.1) This is the population ratio for orion pirates.

MonsterPopulationRatio				=0.025 // (0.025) This is the poplation ratio of Monsters.

StandardAIBPV						=100 //Default AI BPV

MaxAIEcoBonusBPV					=2.0 // Higher number will make bigger AI ships for losing empires

MinFuzzAIBPV						=0.3 //Minimum random AI bpv level 0.3 = 30% less

MaxFuzzAIBPV						=3.0 //Maximum random AI bpv level 2.0 = twice base

ChanceForTwoShips					=0.2 //This is the chance for 2 ships for an AI

ChanceForThreeShips					=0.05 //This is the chance for 3 ships for an AI

AttemptsToCreateAIInHomeHex			=10 //Maximum AI to create in 1 turn

MaxAIsToCreatePerTurn				=3 //How many AIs to try to create before giving up

MaxAIsToKillPerTurn					=10 //Maximum AIs to be killed in 1 turn before ending phase

AITurnOverRate						=1 //

MaxBattlesPerTurn					=50 //Maximum number AI battles in a turn before ending phase

CreateAIFrequency					=2 // How many AIs to create a second, untill goal level reached

KillAIFrequency						=2 // How many AIs to kill a second, untill goal level reached

InitalAILevel						=100 // How many AI's to create before game starts

MaxAIsPerEmpire						= -1 // ( -1 ) Create a fixed number of AIs per empire. -1 means not to use a fixed number.



[AIMovement]

NumTriesToGetACandidate				=5 //Number of tries to find a target hex to move to

NumCandidateHexes					=7 //Number of hexes to choose from

FriendlyEmpireScore					=100 // (?) weight movement toward Friendly hexes

GoodEconomyScore					=75 // (?) weight movment towards high point value hexes

EnemyDefenseScore					=10.0 // (?) weight movement towards ..

WeakHexScore						=100 // (?) Weight movement towards weak hexes

HighRelativeTensionScore			=75 //??

SupplyLineBonus						=10 //Extra points for every hex that the race owns that touches the dest hex

// use this to turn on/off the following behaviors 1=on 0=off
AttractionToEconomy=1
AttractionToOwnEmpire=1
AttractionToWeakHexes=1
FearEnemyHexesByStrength=1
AttractionToEnemyHexesByTension=1
AttractionToSupplyLines=1


[Battle]
MinVictoryPointsForPlayerVictory=0.02
MinVictoryPointsForAIVictory=0.01
HexHealthResetRatio=0.02
FriendlyPassThroughHex=3
AllowAIToTakeHexes=0

[VictoryPointModifier]
Easy=1
Med=1
Hard=1
PureAI=0.2

[TensionBumps]
Draw=0.5
SuccessWin=0.33
FailedWin=0.66
SuccessDefend=0.5
FailDefend=1.0


//This is the full name of the empire displayed in the campaign

[FullEmpireNames]
Federation="United Federation of Planets"
Klingon="Klingon Empire" 
Romulan="Romulan Star Empire" 
Lyran="Dominion" 
Hydran="Breen Kingdom" 
Gorn="Borg Collective" 
ISC="Interstellar Concordium"
Mirak="Cardassian Union"
Orion="Ferengi Pirates"
OrionOrion="Gorn Confederacy" 
OrionKorgath="Lyran Star Empire"
OrionPrime="Kzinti Hegemony"
OrionTigerHeart="Andromedans"
OrionBeastRaiders="Alien Alliance"
OrionSyndicate="Hydran Kingdom"
OrionWyldeFire="Tholian Holdfast"
OrionCamboro="Ferengi Alliance"
NeutralRace="Contested Sector"

[RandomNews]
Interval=60						// Every "Interval" turns the random generator is run for news (heartbeat of news background is ONCE a SECOND!)
Chance=50						// 0-100 Chance at this interval that news will be generated

[EconomicReport]
Interval=1						// Every "Interval" years the report is produced in the news

[WinConditions]
NumCumulativeOpponentsToWin		= 3		// Number of cumulative oppenent points to overcome to win
NumCumulativeOpponentsToWarn	= 2		// Number of cumulative oppenent points to overcome to warn
CumulativeCoefficient			= 1.0	// Coefficient to cumulative points for opponents

